//=============================================================================
//
#include <portb.h>
#include <user.h> 
#include <timers.h> 
//----------------------------------------------------------------------------

//void InterruptHandlerLow (void);
//void abiatu_Interrupt();
//Txipa abiatzea
void abiatu_Interrupt ()
{
OpenRB1INT( PORTB_CHANGE_INT_ON & FALLING_EDGE_INT & 
PORTB_PULLUPS_OFF);
OpenTimer0( TIMER_INT_ON &     //Interrupt enabled
                T0_16BIT &         //Set timer0 as 16 bit mode.
                T0_SOURCE_INT &    //choose Internal clock source (TOSC)
                T0_PS_1_256        //Prescale Value: 1:256
               );      
    WriteTimer0(0x48E4);           // set overflow interrupt at every 1 ms. 
			//
	TRISD = 0X00;            //Set channel D as output
    LATD=0;                        //Initialize Port D.
    //ADCON1 = 0b00001111;           //All ADC disabled
    RCONbits.IPEN = 1;             //Enable priority levels on interrupts
    RCONbits.SBOREN = 0;           //Disable BOR
 
	INTCON = 0b11000000 ;         // enable high and low priority interrupts
    INTCON2bits.TMR0IP =0;        //Set interrupt priority as low
            //Enables the TMR0 overflow interrupt

	
	//INTCON2bits.RBPU=1;
	//INTCON2bits.RBIP=0; //zein baxuko=0 edo altuko=1 etenaldirako lehentasuna  abiatzen de B4 pinean aldatzen denean enable priority levels
	//INTCONbits.RBIE=0;//B4ren etentaldiak EZ onartuak
            		

}
  

//----------------------------------------------------------------------------
/* Main routine

void main ()
{


       while (1)
    {
      
    }
}
*/

//----------------------------------------------------------------------------
// Low priority interrupt vector
/*

#pragma code

#pragma code  _LOW_INTERRUPT_VECTOR = 0x18

void low_ISR (void)
{
  _asm    goto InterruptHandlerLow  _endasm
}


//----------------------------------------------------------------------------
// Low priority interrupt routine

#pragma code
#pragma interrupt InterruptHandlerLow

void InterruptHandlerLow(void)
{

state=!state;

PORTDbits.RD2=state;
PORTDbits.RD3=!state;;
//INTCONbits.GIEL=1  ;
//RCONbits.IPEN = 1; //mailak etentaldietan baimendurik
//
INTCON3= 0b00001000;
//INTCON2bits.RBIP=0; //zein baxuko=0 edo altuko=1 etenaldirako lehentasuna  abiatzen de B4 pinean aldatzen denean enable priority levels
  

}
*/
//----------------------------------------------------------------------------
