//Aadimos todos los namespaces necesarios
using System;
using System.Drawing;
using System.Collections.Generic;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using usb_api;
using NPlot;
using WindowsApplication3;

//Creamos nuestro namespace
namespace WindowsApplication3
{

    /// <summary>
    /// Summary description for Form1.
    /// </summary>

    //Creamos las clase USBdema herencia de la clase System.Windows.Forms.Form
   public class USBdemo : System.Windows.Forms.Form
   {
       usb_interface usb_int = new usb_interface();
        private Timer timer2;
        private IContainer components;
        private double[] PlotQEExampleValues2;
        private string[] PlotQEExampleTextValues2;
        private GroupBox groupBox2;
        private TextBox textBoxControlMovCorrienteA;
        private RadioButton radioButtonIzquierda;
        private RadioButton radioButtonDerecha;
        private Label label3;
        private Label label6;
        private TextBox textBoxControlMovVelocidad;
        private TextBox textBoxControlMovPasosAcel;
        private Label label8;
        private GroupBox groupBox3;
        private RadioButton radioButtonTipoMovPasoEnt2Fase;
        private GroupBox groupBox4;
        private RadioButton radioButtonMedioPaso;
        private RadioButton radioButtonPasosEnteroUnafase;
        private Button buttonControlMovApplicate;
        private TextBox textBoxControlMovCorrienteB;
        private Label label5;
        private TextBox textBoxControlMovPasosDecel;
        private Label label7;
        private Button button2;
        static public short[] DatuBalioak = new short[24];
        private NPlot.Windows.PlotSurface2D plotSurface2;
        private TextBox textBox1;
        private TextBox textBox2;
        private TextBox textBox3;
        private Label label1;
        static public short[] DatosVelocidad = new short[48];
        static public short n_impulsos;



        public USBdemo()
        {
            InitializeComponent();
            //DatuBalioak.Initialize();

        }

        #region Clean up any resources being used.
        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                if (components != null)
                {
                    components.Dispose();
                }
            }
            base.Dispose(disposing);
        }

        #endregion




        #region Windows Form Designer generated code
        /// <summary>
        /// Required method for Designer support - do not modify
        /// the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent()
        {
            this.components = new System.ComponentModel.Container();
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(USBdemo));
            this.timer2 = new System.Windows.Forms.Timer(this.components);
            this.groupBox2 = new System.Windows.Forms.GroupBox();
            this.textBox3 = new System.Windows.Forms.TextBox();
            this.textBox2 = new System.Windows.Forms.TextBox();
            this.button2 = new System.Windows.Forms.Button();
            this.textBox1 = new System.Windows.Forms.TextBox();
            this.textBoxControlMovPasosDecel = new System.Windows.Forms.TextBox();
            this.label7 = new System.Windows.Forms.Label();
            this.label5 = new System.Windows.Forms.Label();
            this.textBoxControlMovCorrienteB = new System.Windows.Forms.TextBox();
            this.buttonControlMovApplicate = new System.Windows.Forms.Button();
            this.groupBox4 = new System.Windows.Forms.GroupBox();
            this.radioButtonMedioPaso = new System.Windows.Forms.RadioButton();
            this.radioButtonPasosEnteroUnafase = new System.Windows.Forms.RadioButton();
            this.radioButtonTipoMovPasoEnt2Fase = new System.Windows.Forms.RadioButton();
            this.groupBox3 = new System.Windows.Forms.GroupBox();
            this.radioButtonIzquierda = new System.Windows.Forms.RadioButton();
            this.radioButtonDerecha = new System.Windows.Forms.RadioButton();
            this.textBoxControlMovPasosAcel = new System.Windows.Forms.TextBox();
            this.label8 = new System.Windows.Forms.Label();
            this.label6 = new System.Windows.Forms.Label();
            this.textBoxControlMovVelocidad = new System.Windows.Forms.TextBox();
            this.label3 = new System.Windows.Forms.Label();
            this.textBoxControlMovCorrienteA = new System.Windows.Forms.TextBox();
            this.plotSurface2 = new NPlot.Windows.PlotSurface2D();
            this.label1 = new System.Windows.Forms.Label();
            this.groupBox2.SuspendLayout();
            this.groupBox4.SuspendLayout();
            this.groupBox3.SuspendLayout();
            this.SuspendLayout();
            // 
            // timer2
            // 
            this.timer2.Enabled = true;
            this.timer2.Interval = 500;
            this.timer2.Tick += new System.EventHandler(this.timer2_Tick);
            // 
            // groupBox2
            // 
            this.groupBox2.Controls.Add(this.label1);
            this.groupBox2.Controls.Add(this.textBox3);
            this.groupBox2.Controls.Add(this.textBox2);
            this.groupBox2.Controls.Add(this.button2);
            this.groupBox2.Controls.Add(this.textBox1);
            this.groupBox2.Controls.Add(this.textBoxControlMovPasosDecel);
            this.groupBox2.Controls.Add(this.label7);
            this.groupBox2.Controls.Add(this.label5);
            this.groupBox2.Controls.Add(this.textBoxControlMovCorrienteB);
            this.groupBox2.Controls.Add(this.buttonControlMovApplicate);
            this.groupBox2.Controls.Add(this.groupBox4);
            this.groupBox2.Controls.Add(this.groupBox3);
            this.groupBox2.Controls.Add(this.textBoxControlMovPasosAcel);
            this.groupBox2.Controls.Add(this.label8);
            this.groupBox2.Controls.Add(this.label6);
            this.groupBox2.Controls.Add(this.textBoxControlMovVelocidad);
            this.groupBox2.Controls.Add(this.label3);
            this.groupBox2.Controls.Add(this.textBoxControlMovCorrienteA);
            this.groupBox2.Location = new System.Drawing.Point(2, 12);
            this.groupBox2.Name = "groupBox2";
            this.groupBox2.Size = new System.Drawing.Size(751, 126);
            this.groupBox2.TabIndex = 18;
            this.groupBox2.TabStop = false;
            this.groupBox2.Text = "Control Movimiento";
            // 
            // textBox3
            // 
            this.textBox3.ForeColor = System.Drawing.Color.Green;
            this.textBox3.Location = new System.Drawing.Point(637, 105);
            this.textBox3.Name = "textBox3";
            this.textBox3.Size = new System.Drawing.Size(98, 20);
            this.textBox3.TabIndex = 25;
            // 
            // textBox2
            // 
            this.textBox2.Location = new System.Drawing.Point(492, 106);
            this.textBox2.Name = "textBox2";
            this.textBox2.Size = new System.Drawing.Size(100, 20);
            this.textBox2.TabIndex = 24;
            // 
            // button2
            // 
            this.button2.Location = new System.Drawing.Point(334, 82);
            this.button2.Name = "button2";
            this.button2.Size = new System.Drawing.Size(46, 32);
            this.button2.TabIndex = 24;
            this.button2.Text = "STOP";
            this.button2.Click += new System.EventHandler(this.button2_Click);
            // 
            // textBox1
            // 
            this.textBox1.Location = new System.Drawing.Point(386, 106);
            this.textBox1.Name = "textBox1";
            this.textBox1.Size = new System.Drawing.Size(100, 20);
            this.textBox1.TabIndex = 23;
            // 
            // textBoxControlMovPasosDecel
            // 
            this.textBoxControlMovPasosDecel.Location = new System.Drawing.Point(466, 61);
            this.textBoxControlMovPasosDecel.Name = "textBoxControlMovPasosDecel";
            this.textBoxControlMovPasosDecel.Size = new System.Drawing.Size(60, 20);
            this.textBoxControlMovPasosDecel.TabIndex = 23;
            // 
            // label7
            // 
            this.label7.AutoSize = true;
            this.label7.Location = new System.Drawing.Point(390, 55);
            this.label7.Name = "label7";
            this.label7.Size = new System.Drawing.Size(70, 26);
            this.label7.TabIndex = 22;
            this.label7.Text = "Pasos\r\nDeceleracion";
            // 
            // label5
            // 
            this.label5.AutoSize = true;
            this.label5.Location = new System.Drawing.Point(570, 56);
            this.label5.Name = "label5";
            this.label5.Size = new System.Drawing.Size(85, 13);
            this.label5.TabIndex = 21;
            this.label5.Text = "Corriente Fase B";
            // 
            // textBoxControlMovCorrienteB
            // 
            this.textBoxControlMovCorrienteB.Location = new System.Drawing.Point(667, 53);
            this.textBoxControlMovCorrienteB.Name = "textBoxControlMovCorrienteB";
            this.textBoxControlMovCorrienteB.Size = new System.Drawing.Size(61, 20);
            this.textBoxControlMovCorrienteB.TabIndex = 20;
            // 
            // buttonControlMovApplicate
            // 
            this.buttonControlMovApplicate.Location = new System.Drawing.Point(215, 82);
            this.buttonControlMovApplicate.Name = "buttonControlMovApplicate";
            this.buttonControlMovApplicate.Size = new System.Drawing.Size(88, 32);
            this.buttonControlMovApplicate.TabIndex = 19;
            this.buttonControlMovApplicate.Text = "Applicate";
            this.buttonControlMovApplicate.Click += new System.EventHandler(this.button1_Click);
            // 
            // groupBox4
            // 
            this.groupBox4.Controls.Add(this.radioButtonMedioPaso);
            this.groupBox4.Controls.Add(this.radioButtonPasosEnteroUnafase);
            this.groupBox4.Controls.Add(this.radioButtonTipoMovPasoEnt2Fase);
            this.groupBox4.Location = new System.Drawing.Point(12, 19);
            this.groupBox4.Name = "groupBox4";
            this.groupBox4.Size = new System.Drawing.Size(184, 95);
            this.groupBox4.TabIndex = 17;
            this.groupBox4.TabStop = false;
            this.groupBox4.Text = "Tipo Moviento";
            // 
            // radioButtonMedioPaso
            // 
            this.radioButtonMedioPaso.AutoSize = true;
            this.radioButtonMedioPaso.Location = new System.Drawing.Point(7, 60);
            this.radioButtonMedioPaso.Name = "radioButtonMedioPaso";
            this.radioButtonMedioPaso.Size = new System.Drawing.Size(80, 17);
            this.radioButtonMedioPaso.TabIndex = 17;
            this.radioButtonMedioPaso.Text = "Medio paso";
            this.radioButtonMedioPaso.UseVisualStyleBackColor = true;
            // 
            // radioButtonPasosEnteroUnafase
            // 
            this.radioButtonPasosEnteroUnafase.AutoSize = true;
            this.radioButtonPasosEnteroUnafase.Location = new System.Drawing.Point(94, 15);
            this.radioButtonPasosEnteroUnafase.Name = "radioButtonPasosEnteroUnafase";
            this.radioButtonPasosEnteroUnafase.Size = new System.Drawing.Size(82, 30);
            this.radioButtonPasosEnteroUnafase.TabIndex = 16;
            this.radioButtonPasosEnteroUnafase.Text = "Paso entero\r\n1 fase";
            this.radioButtonPasosEnteroUnafase.UseVisualStyleBackColor = true;
            // 
            // radioButtonTipoMovPasoEnt2Fase
            // 
            this.radioButtonTipoMovPasoEnt2Fase.AutoSize = true;
            this.radioButtonTipoMovPasoEnt2Fase.BackColor = System.Drawing.SystemColors.Control;
            this.radioButtonTipoMovPasoEnt2Fase.Checked = true;
            this.radioButtonTipoMovPasoEnt2Fase.FlatAppearance.CheckedBackColor = System.Drawing.Color.FromArgb(((int)(((byte)(0)))), ((int)(((byte)(192)))), ((int)(((byte)(0)))));
            this.radioButtonTipoMovPasoEnt2Fase.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.radioButtonTipoMovPasoEnt2Fase.ForeColor = System.Drawing.SystemColors.ControlText;
            this.radioButtonTipoMovPasoEnt2Fase.Location = new System.Drawing.Point(6, 15);
            this.radioButtonTipoMovPasoEnt2Fase.Name = "radioButtonTipoMovPasoEnt2Fase";
            this.radioButtonTipoMovPasoEnt2Fase.Size = new System.Drawing.Size(81, 30);
            this.radioButtonTipoMovPasoEnt2Fase.TabIndex = 10;
            this.radioButtonTipoMovPasoEnt2Fase.TabStop = true;
            this.radioButtonTipoMovPasoEnt2Fase.Text = "Paso entero\r\n2 fases";
            this.radioButtonTipoMovPasoEnt2Fase.UseVisualStyleBackColor = false;
            // 
            // groupBox3
            // 
            this.groupBox3.Controls.Add(this.radioButtonIzquierda);
            this.groupBox3.Controls.Add(this.radioButtonDerecha);
            this.groupBox3.Location = new System.Drawing.Point(215, 19);
            this.groupBox3.Name = "groupBox3";
            this.groupBox3.Size = new System.Drawing.Size(169, 48);
            this.groupBox3.TabIndex = 15;
            this.groupBox3.TabStop = false;
            this.groupBox3.Text = "Sentido Giro";
            // 
            // radioButtonIzquierda
            // 
            this.radioButtonIzquierda.AutoSize = true;
            this.radioButtonIzquierda.BackColor = System.Drawing.SystemColors.Control;
            this.radioButtonIzquierda.Checked = true;
            this.radioButtonIzquierda.FlatAppearance.BorderSize = 2;
            this.radioButtonIzquierda.FlatAppearance.CheckedBackColor = System.Drawing.Color.Lime;
            this.radioButtonIzquierda.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.radioButtonIzquierda.ForeColor = System.Drawing.SystemColors.ControlText;
            this.radioButtonIzquierda.Location = new System.Drawing.Point(16, 19);
            this.radioButtonIzquierda.Name = "radioButtonIzquierda";
            this.radioButtonIzquierda.Size = new System.Drawing.Size(58, 17);
            this.radioButtonIzquierda.TabIndex = 9;
            this.radioButtonIzquierda.TabStop = true;
            this.radioButtonIzquierda.Text = "Horario";
            this.radioButtonIzquierda.UseVisualStyleBackColor = true;
            // 
            // radioButtonDerecha
            // 
            this.radioButtonDerecha.AutoSize = true;
            this.radioButtonDerecha.ForeColor = System.Drawing.SystemColors.MenuText;
            this.radioButtonDerecha.Location = new System.Drawing.Point(90, 19);
            this.radioButtonDerecha.Name = "radioButtonDerecha";
            this.radioButtonDerecha.Size = new System.Drawing.Size(75, 17);
            this.radioButtonDerecha.TabIndex = 8;
            this.radioButtonDerecha.Text = "Antihorario";
            this.radioButtonDerecha.UseVisualStyleBackColor = true;
            // 
            // textBoxControlMovPasosAcel
            // 
            this.textBoxControlMovPasosAcel.Location = new System.Drawing.Point(466, 30);
            this.textBoxControlMovPasosAcel.Name = "textBoxControlMovPasosAcel";
            this.textBoxControlMovPasosAcel.Size = new System.Drawing.Size(60, 20);
            this.textBoxControlMovPasosAcel.TabIndex = 14;
            // 
            // label8
            // 
            this.label8.AutoSize = true;
            this.label8.Location = new System.Drawing.Point(390, 24);
            this.label8.Name = "label8";
            this.label8.Size = new System.Drawing.Size(63, 26);
            this.label8.TabIndex = 13;
            this.label8.Text = "Pasos\r\nAceleracion";
            // 
            // label6
            // 
            this.label6.AutoSize = true;
            this.label6.Location = new System.Drawing.Point(570, 76);
            this.label6.Name = "label6";
            this.label6.Size = new System.Drawing.Size(79, 26);
            this.label6.TabIndex = 11;
            this.label6.Text = "Velocidad Final\r\n(rpm)";
            // 
            // textBoxControlMovVelocidad
            // 
            this.textBoxControlMovVelocidad.Location = new System.Drawing.Point(667, 79);
            this.textBoxControlMovVelocidad.Name = "textBoxControlMovVelocidad";
            this.textBoxControlMovVelocidad.Size = new System.Drawing.Size(60, 20);
            this.textBoxControlMovVelocidad.TabIndex = 10;
            // 
            // label3
            // 
            this.label3.AutoSize = true;
            this.label3.Location = new System.Drawing.Point(570, 28);
            this.label3.Name = "label3";
            this.label3.Size = new System.Drawing.Size(85, 13);
            this.label3.TabIndex = 4;
            this.label3.Text = "Corriente Fase A";
            // 
            // textBoxControlMovCorrienteA
            // 
            this.textBoxControlMovCorrienteA.Location = new System.Drawing.Point(667, 27);
            this.textBoxControlMovCorrienteA.Name = "textBoxControlMovCorrienteA";
            this.textBoxControlMovCorrienteA.Size = new System.Drawing.Size(61, 20);
            this.textBoxControlMovCorrienteA.TabIndex = 3;
            // 
            // plotSurface2
            // 
            this.plotSurface2.AutoScaleAutoGeneratedAxes = false;
            this.plotSurface2.AutoScaleTitle = false;
            this.plotSurface2.BackColor = System.Drawing.SystemColors.ControlLightLight;
            this.plotSurface2.DateTimeToolTip = false;
            this.plotSurface2.Legend = null;
            this.plotSurface2.LegendZOrder = -1;
            this.plotSurface2.Location = new System.Drawing.Point(12, 144);
            this.plotSurface2.Name = "plotSurface2";
            this.plotSurface2.RightMenu = null;
            this.plotSurface2.ShowCoordinates = true;
            this.plotSurface2.Size = new System.Drawing.Size(779, 369);
            this.plotSurface2.SmoothingMode = System.Drawing.Drawing2D.SmoothingMode.None;
            this.plotSurface2.TabIndex = 22;
            this.plotSurface2.Text = "plotSurface2D1";
            this.plotSurface2.Title = "";
            this.plotSurface2.TitleFont = new System.Drawing.Font("Arial", 14F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel);
            this.plotSurface2.XAxis1 = null;
            this.plotSurface2.XAxis2 = null;
            this.plotSurface2.YAxis1 = null;
            this.plotSurface2.YAxis2 = null;
            // 
            // label1
            // 
            this.label1.AutoSize = true;
            this.label1.Location = new System.Drawing.Point(598, 108);
            this.label1.Name = "label1";
            this.label1.Size = new System.Drawing.Size(33, 13);
            this.label1.TabIndex = 23;
            this.label1.Text = "Micro";
            // 
            // USBdemo
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
            this.ClientSize = new System.Drawing.Size(804, 525);
            this.Controls.Add(this.plotSurface2);
            this.Controls.Add(this.groupBox2);
            this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
            this.Name = "USBdemo";
            this.Text = "Control motor paso a paso";
            this.Load += new System.EventHandler(this.USBdemo_Load);
            this.groupBox2.ResumeLayout(false);
            this.groupBox2.PerformLayout();
            this.groupBox4.ResumeLayout(false);
            this.groupBox4.PerformLayout();
            this.groupBox3.ResumeLayout(false);
            this.groupBox3.PerformLayout();
            this.ResumeLayout(false);

        }
        #endregion

        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        public static void Main()
        {
            Application.Run(new USBdemo());
            
        }

        private void USBdemo_Load(object sender, System.EventArgs e)
        {

        }

        private void timer2_Tick(object sender, EventArgs e) //Evento del timer2 
        {
            n_impulsos = usb_int.datos_velocidad();
            textBox1.Text = n_impulsos.ToString();
            if (n_impulsos==2500)
                {
                    textBox3.Text = "NO DETECTADO";
                    textBox3.ForeColor= Color.Red;
                }
                else {
                textBox3.Text = "DETECTADO";
                textBox3.ForeColor = Color.Green;
                }
          
            double vel1 = double.Parse(textBox1.Text);
            vel1 = 0.087 * vel1;
            short vel_short = Convert.ToInt16(vel1);
            string vel_salida = Convert.ToString(vel1);
            textBox2.Text = vel_salida;
   
              

            plotSurface2.Clear(); //Limpiamos la grfica 2
            Grid grid2 = new Grid();//Cuadricula para la grfica 2
            grid2.VerticalGridType = Grid.GridType.Coarse;
            grid2.HorizontalGridType = Grid.GridType.Coarse;
            grid2.MajorGridPen = new Pen(Color.LightGray, 1.0f);
            plotSurface2.Add(grid2); //Introduciomos la cuadricula en la grfica

            int len2 = 48; //Longitud Eje abscisas
            string[] s2 = new string[len2]; //Creamos un string del mismo tamao que el eje de abscisas
            PlotQEExampleValues2 = new double[len2]; //Double-64 bits
            PlotQEExampleTextValues2 = new string[len2];
            short[] Dato_velocidad = new short[len2]; //Short->int de 16 bits. Aqui ir el valor de la velocidad

            // Representa una lista de objetos con establecimiento inflexible de tipos a la que se puede 
            //obtener acceso por ndice. Proporciona mtodos para buscar, ordenar y manipular listas. 
            List<short> intList2 = new List<short>();

            intList2.Add(vel_short); //Aadimos a la lista el valor devuelto por la funcion datos
            //_velocidad, perteneciente a la clase usb_int

          
            //Copia un intervalo de elementos de una matriz Array comenzando en el ndice de origen 
            //especificado y los pega en otra matriz Array comenzando en el ndice de destino especificado
            // La longitud y los ndices se especifican como enteros de 32 bits. 
            Array.Copy(DatosVelocidad, 1, Dato_velocidad, 0, 47);
            Dato_velocidad[47] = vel_short; //Guardamos el dato devuelto por la funcion y los guardamos
            //de recoger el dato de potenciometro y lo reenvia al PC de nuevo
            Dato_velocidad.CopyTo(DatosVelocidad, 0);

            for (int i = 0; i < len2; i++)
            {
                s2[i] = i.ToString("0");
            }


            LinePlot pp2 = new LinePlot();
            pp2.DataSource = DatosVelocidad;
            plotSurface2.Add(pp2);

            LabelPointPlot tp2 = new LabelPointPlot();
            tp2.DataSource = PlotQEExampleValues2;
            tp2.TextData = PlotQEExampleTextValues2;
            tp2.LabelTextPosition = LabelPointPlot.LabelPositions.Above;
            tp2.Marker = new Marker(Marker.MarkerType.None, 10);
            plotSurface2.Add(tp2);

            LabelAxis la2 = new LabelAxis(plotSurface2.XAxis1);
            for (int i = 0; i < len2; ++i)
            {
                la2.AddLabel(s2[i], i);
            }
            FontFamily ff2 = new FontFamily("Verdana");
            la2.TickTextFont = new Font(ff2, 7);
            la2.PhysicalSpacingMin = 51;
            plotSurface2.XAxis1 = la2;



            plotSurface2.Title = "Velocidad motor paso a paso";
            plotSurface2.TitleFont = new Font(ff2, 15);
            plotSurface2.XAxis1.WorldMin = 0;
            plotSurface2.XAxis1.WorldMax = len2;
            plotSurface2.XAxis1.LabelFont = new Font(ff2, 10);
            plotSurface2.XAxis1.Label = "Tiempo(0.5s/paso)";
            plotSurface2.YAxis1.Label = "velocidad (rpm)";
            plotSurface2.YAxis1.LabelFont = new Font(ff2, 10);
            plotSurface2.YAxis1.TickTextFont = new Font(ff2, 10);

            plotSurface2.YAxis1.WorldMin = -125.0;
            plotSurface2.YAxis1.WorldMax = 125.0;//Valores mximos y mnimos de la grfica

            plotSurface2.XAxis1.TicksLabelAngle = 60.0f;

            plotSurface2.Refresh();
        }
   
       //Al clickar sobre el boton de applicate realizaremos las siguientes acciones

        private void button1_Click(object sender, EventArgs e)
        {

            //Creamos el objeto controlmoviento de la clase ControlMovimiento
ControlMovimiento controlmovimiento = new ControlMovimiento(true);
                if (controlmovimiento.comprobarConvertirGrupoControMov(textBoxControlMovPasosAcel.Text,
                        textBoxControlMovPasosDecel.Text,
                        textBoxControlMovVelocidad.Text,
                        textBoxControlMovCorrienteA.Text,
                        textBoxControlMovCorrienteB.Text,
                        radioButtonDerecha.Checked,
                        radioButtonTipoMovPasoEnt2Fase.Checked,
                        radioButtonPasosEnteroUnafase.Checked,
                        radioButtonMedioPaso.Checked))
                {
                    usb_int.controlMovUsb(controlmovimiento);
                }
                
                else
                {

                }
            }
           
        private void button2_Click(object sender, EventArgs e)
        {
            usb_int.Stop();
        }

    }
   
   }

        
		
	

